# Detect the distribution in use
%global __despace /usr/bin/head -n 1 | /usr/bin/tr -d '[:space:]' | %{__sed} -e 's/[(].*[)]//g'
%global __lower4 /usr/bin/cut -c 1-4 | /usr/bin/tr '[:upper:]' '[:lower:]'
%global __distfile %([ -f /etc/SuSE-release ] && echo /etc/SuSE-release || echo /etc/redhat-release)
%global __distinit %(%{__sed} -e 's/ release .*//' -e 's/\\([A-Za-z]\\)[^ ]*/\\1/g' %{__distfile} | %{__despace} | %{__lower4})
%global __distvers %(%{__sed} -e 's/.* release \\([^. ]*\\).*/\\1/' %{__distfile} | %{__despace})
# Identify CentOS & White Box as rhel
%if "%{__distinit}" == "c" || "%{__distinit}" == "wbel"
%global __distinit rhel
%endif
# Dist tag for Fedora is still "fc"
%if "%{__distinit}" == "f"
%global __distinit fc
%endif

%{!?perl_vendorlib: %global perl_vendorlib %(eval "`%{__perl} -V:installvendorlib`"; echo $installvendorlib)}
%{!?__id_u: %global __id_u %([ -x /bin/id ]&&echo /bin/id||([ -x /usr/bin/id ]&&echo /usr/bin/id||echo /bin/true)) -u}

Name:		perl-String-Escape
Version:	2010.002
Release:	3.%{__distinit}%{__distvers}
Summary:	Registry of string functions, including backslash escapes
License:	GPL+ or Artistic
Group:		Development/Libraries
URL:		http://search.cpan.org/dist/String-Escape/
Source0:	http://search.cpan.org/CPAN/authors/id/E/EV/EVO/String-Escape-%{version}.tar.gz
BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires:	perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))
BuildArch:	noarch
BuildRequires:	perl(ExtUtils::MakeMaker)
BuildRequires:	perl(Test::More)
BuildRequires:	perl(Test::Pod)
BuildRequires:	perl(Test::Pod::Coverage)

%description
This module provides a flexible calling interface to some frequently-performed
string conversion functions, including applying and removing C/Unix-style
backslash escapes like \n and \t, wrapping and removing double-quotes, and
truncating to fit within a desired length.

%prep
%setup -q -n String-Escape-%{version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%{__make} %{?_smp_mflags}

%install
%{__rm} -rf %{buildroot}
%{__make} pure_install PERL_INSTALL_ROOT=%{buildroot}
/usr/bin/find %{buildroot} -type f -name .packlist -exec %{__rm} -f {} ';'
/usr/bin/find %{buildroot} -depth -type d -exec /bin/rmdir {} ';' 2>/dev/null
%{_fixperms} %{buildroot}

%clean
%{__rm} -rf %{buildroot}

%check
%{__make} test

%files
%defattr(-,root,root,-)
%doc README
%{perl_vendorlib}/String/
%{_mandir}/man3/String::Escape.3pm*

%changelog
* Thu Jun 24 2010 Paul Howarth <paul@city-fan.org> - 2010.002-3
- Rebuild for perl 5.12.1 in Rawhide

* Fri May  7 2010 Paul Howarth <paul@city-fan.org> - 2010.002-2
- Fix dist tag to work with RHEL6 Beta

* Tue Feb  2 2010 Paul Howarth <paul@city-fan.org> - 2010.002-1
- Update to 2010.002
  - Added META.yml (CPAN RT#41226)
  - Changed unprintable to accept optional x in \xFF escapes
  - Added new functions with support for more Perl escapes
  - Added tests for new functions and previous bug reports
- BR: perl(Test::More), perl(Test::Pod), perl(Test::Pod::Coverage)
- Dist tag for Rawhide no longer needs special-casing

* Thu Sep 24 2009 Paul Howarth <paul@city-fan.org> - 2002.001-2
- Define RPM macros in global scope

* Thu Oct 16 2008 Paul Howarth <paul@city-fan.org> - 2002.001-1
- Initial RPM version
